summaryrefslogtreecommitdiffstats
path: root/debian/htdig/htdig-3.2.0b6/test/t_htdb
diff options
context:
space:
mode:
Diffstat (limited to 'debian/htdig/htdig-3.2.0b6/test/t_htdb')
-rwxr-xr-xdebian/htdig/htdig-3.2.0b6/test/t_htdb33
1 files changed, 33 insertions, 0 deletions
diff --git a/debian/htdig/htdig-3.2.0b6/test/t_htdb b/debian/htdig/htdig-3.2.0b6/test/t_htdb
new file mode 100755
index 00000000..05b83e86
--- /dev/null
+++ b/debian/htdig/htdig-3.2.0b6/test/t_htdb
@@ -0,0 +1,33 @@
+#
+# Part of the ht://Dig package <http://www.htdig.org/>
+# Copyright (c) 1999-2004 The ht://Dig Group
+# For copyright details, see the file COPYING in your distribution
+# or the GNU Library General Public License (LGPL) version 2 or later
+# <http://www.gnu.org/copyleft/lgpl.html>
+#
+# $Id: t_htdb,v 1.4 2004/05/28 13:15:30 lha Exp $
+#
+
+. ./test_functions
+
+for compress in "" "-z"
+do
+ rm -f test
+ ../htdb/htdb_load -f $srcdir/t_htdb.dump $compress test || exit 1
+ ../htdb/htdb_dump -p $compress test > t_htdb.d1 || exit 1
+ cmp $srcdir/t_htdb.dump t_htdb.d1 || exit 1
+ ../htdb/htdb_stat $compress -d test | grep '11 Number of keys in the tree' > /dev/null || exit 1
+done
+
+export MIFLUZ_CONFIG ; MIFLUZ_CONFIG=${srcdir}/mifluz-search.conf
+
+for compress in "" "-z"
+do
+ rm -f test test_weakcmpr
+ ./txt2mifluz $compress $VERBOSE < $srcdir/search.txt
+ ../htdb/htdb_dump -W -p $compress test > t_htdb.d1 || exit 1
+ rm -f test test_weakcmpr
+ ../htdb/htdb_load -W -f t_htdb.d1 $compress test || exit 1
+ ../htdb/htdb_dump -W -p $compress test > t_htdb.d2 || exit 1
+ cmp t_htdb.d1 t_htdb.d2 || exit 1
+done